Bug 190514 - [maintainer] unbreak, update and stagify editors/wordgrinder
Summary: [maintainer] unbreak, update and stagify editors/wordgrinder
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on: 190105
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-02 15:52 UTC by Vitaly Magerya
Modified: 2014-08-01 21:48 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2014-06-02 15:52:56 UTC
- Update editors/wordgrinder from 0.3.3 to 0.5.1
- Switch from lua 5.1 to lua 5.2
- Stagify

Note that this update depends on devel/luafilesystem being updated to 1.6.2 or higher, so that it would support lang/lua52. I've submitted this update a bit earlier (bug tracker is currently offline, so I can't tell you the PR number); please commit that update before this is committed.

Redports logs are at [1].

[1] https://redports.org/buildarchive/20140602154600-25924/

Fix:
Patch attached with submission follows:

Files wordgrinder.orig/..asd and wordgrinder/..asd differ
diff -ruN wordgrinder.orig/Makefile wordgrinder/Makefile
--- wordgrinder.orig/Makefile	2014-06-02 15:54:00.000000000 +0300
+++ wordgrinder/Makefile	2014-06-02 17:16:46.000000000 +0300
@@ -2,9 +2,10 @@
 # $FreeBSD: head/editors/wordgrinder/Makefile 355360 2014-05-26 15:28:28Z bapt $
 
 PORTNAME=	wordgrinder
-PORTVERSION=	0.3.3
+PORTVERSION=	0.5.1
 CATEGORIES=	editors
 MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=${PORTNAME}/${PORTNAME}
 
 MAINTAINER=	vmagerya@gmail.com
 COMMENT=	A simple Unicode-aware console-based word processor
@@ -13,35 +14,31 @@
 
 RUN_DEPENDS=	${LUA_MODLIBDIR}/lfs.so:${PORTSDIR}/devel/luafilesystem
 
-USES=		lua:51 tar:bzip2
-
-MAN1=		wordgrinder.1
+USES=		lua:52 tar:bzip2 gmake
 
 PLIST_DIRS=	share/doc/wordgrinder
-PLIST_FILES=	bin/wordgrinder share/doc/wordgrinder/README.wg
+PLIST_FILES=	bin/wordgrinder \
+		share/doc/wordgrinder/README.wg \
+		man/man1/wordgrinder.1.gz
 
-NO_STAGE=	yes
 post-patch:
-	${REINPLACE_CMD} -e 's,^PREFIX =.*$$,PREFIX = "${PREFIX}",' \
-		-e 's,/usr/include/lua5.1,${LUA_INCDIR},' \
-		-e 's,command = "lua ,command = "${LUA_CMD} ,' \
-		-e '/curses_exe =/s,$$,\
-		CLINKFLAGS = {PARENT\, "-L${LUA_LIBDIR}"}\,,' \
-		-e 's,lua5.1,lua,' \
-		-e 's,install -D,install,' \
-		${WRKSRC}/pmfile
-	${REINPLACE_CMD} 's,^LUACOMPILER =.*$$,LUACOMPILER = "${LUAC_CMD}",' \
-		${WRKSRC}/tools/lua.pm
-	${REINPLACE_CMD} "/CCOMPILER = /s,gcc,cc ," ${WRKSRC}/tools/c.pm
-	${REINPLACE_CMD} "/CC=/s,gcc,cc ," ${WRKSRC}/pm
-
-do-build:
-	(cd ${WRKSRC}; ./pm)
-
-do-install:
-	${MKDIR} ${PREFIX}/bin ${PREFIX}/man/man1
-	${MKDIR} ${PREFIX}/share/doc/wordgrinder
-	(cd ${WRKSRC}; ./pm install)
-	${STRIP_CMD} ${PREFIX}/bin/wordgrinder
+	${REINPLACE_CMD} \
+		-e '/hide = /s/@//' \
+		-e '/cc := gcc/s|gcc|${CC}|' \
+		-e '/INCLUDES := /s|= .*|= -I${LOCALBASE}/include/lua52|' \
+		-e '/ldflags := /s|=|= -L${LOCALBASE}/lib|' \
+		-e 's|-llua5.2|-llua-5.2|' \
+		-e 's|@lua|${LUA_CMD}|' \
+		-e '/PREFIX = /d' \
+		-e '/install /s|$$(PRE|${STAGEDIR}$$(PRE|' \
+		-e '/install /s|-D||' \
+		-e '/install /s|share/man/man1|man/man1|' \
+		${WRKSRC}/Makefile
+
+pre-install:
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/doc/wordgrinder
+
+post-install:
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/wordgrinder
 
 .include <bsd.port.mk>
diff -ruN wordgrinder.orig/distinfo wordgrinder/distinfo
--- wordgrinder.orig/distinfo	2014-06-02 15:54:00.000000000 +0300
+++ wordgrinder/distinfo	2014-06-02 15:59:12.000000000 +0300
@@ -1,2 +1,2 @@
-SHA256 (wordgrinder-0.3.3.tar.bz2) = 999781e169eda05d64b5df6034e0ab1d98f768a936218979754f754ca6eeb339
-SIZE (wordgrinder-0.3.3.tar.bz2) = 680918
+SHA256 (wordgrinder-0.5.1.tar.bz2) = 387cf4e8fc5f188c821cd77c782e1256ddb7c27987a682e1526143dc582d3677
+SIZE (wordgrinder-0.5.1.tar.bz2) = 652378
Comment 1 Antoine Brodin freebsd_committer 2014-06-02 19:46:34 UTC
Hi,

RUN_DEPENDS=${LUA_MODLIBDIR}/lfs.so:${PORTSDIR}/devel/luafilesystem

AFAIK luafilesystem only works with lua 5.1
Comment 2 John Marino freebsd_committer 2014-06-16 07:40:53 UTC
No response in two weeks.

Feel free to re-open PR when 5.2 issue is addressed.
Comment 3 John Marino freebsd_committer 2014-06-16 07:41:45 UTC
also, if you do reopen it, please resubmit the patch as an attachment.
Comment 4 John Marino freebsd_committer 2014-06-16 10:43:16 UTC
The submitter did note that luafilesystem needs updating first [antoine] and CS already marked that as a dependency.

It will still help to get the change as an attachment.
Comment 5 John Marino freebsd_committer 2014-07-28 16:07:46 UTC
vitaly, if you resubmit the patch as an attachment, I'll commit it for you.  (make sure it applies cleanly first)
Comment 6 commit-hook freebsd_committer 2014-08-01 21:48:04 UTC
A commit references this bug:

Author: antoine
Date: Fri Aug  1 21:47:42 UTC 2014
New revision: 363765
URL: http://svnweb.freebsd.org/changeset/ports/363765

Log:
  - Update to 0.5.1
  - Stage support

  PR:		ports/190514
  Submitted by:	maintainer

Changes:
  head/editors/wordgrinder/Makefile
  head/editors/wordgrinder/distinfo
Comment 7 Antoine Brodin freebsd_committer 2014-08-01 21:48:44 UTC
patch committed